/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface AuthorityParams extends BasePageParams {
  /**
   * Id
   */
  id?: number;
  /**
   * Id IN值List
   */
  idList?: Array<number>;
  /**
   * 父级Id
   */
  parentId?: number;
  /**
   * 名称
   */
  name?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   *  下限值(大于等于)
   */
  createTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  createTimeTo?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   *  下限值(大于等于)
   */
  updateTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  updateTimeTo?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface Authority {
  /**
   * Id
   */
  id?: number;
  /**
   * 父级Id
   */
  parentId?: number;
  /**
   * 名称
   */
  name?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type AuthorityPageResult = PageResult<Authority>;

export type AuthorityPageResponse = ApiResponse<AuthorityPageResult>;

export type AuthorityResponse = ApiResponse<Authority>;
