/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface DeviceParams extends BasePageParams {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * ID系统自动生成 IN值List
   */
  idList?: Array<number>;
  /**
   * 设备名称
   */
  name?: string;
  /**
   * 设备IP地址
   */
  deviceIp?: string;
  /**
   * 软件版本
   */
  softwareVersion?: String;
  /**
   * 固件版本
   */
  firmwareVersion?: String;
  /**
   * 算法版本
   */
  algorithmVersion?: String;
  /**
   * 模型版本
   */
  modelVersion?: String;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   *  下限值(大于等于)
   */
  createTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  createTimeTo?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   *  下限值(大于等于)
   */
  updateTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  updateTimeTo?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface Device {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * 设备名称
   */
  name?: string;
  /**
   * 设备IP地址
   */
  deviceIp?: string;
  /**
   * 软件版本
   */
  softwareVersion?: String;
  /**
   * 固件版本
   */
  firmwareVersion?: String;
  /**
   * 算法版本
   */
  algorithmVersion?: String;
  /**
   * 模型版本
   */
  modelVersion?: String;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type DevicePageResult = PageResult<Device>;

export type DevicePageResponse = ApiResponse<DevicePageResult>;

export type DeviceResponse = ApiResponse<Device>;
