/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface TaskParams extends BasePageParams {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * ID系统自动生成 IN值List
   */
  idList?: Array<number>;
  /**
   * 名称
   */
  name?: string;
  /**
   * 设备序列号
   */
  deviceSn?: string;
  /**
   * 任务参数
   */
  paramJson?: string;
  /**
   * 任务结果
   */
  resultJson?: string;
  /**
   * 开始时间
   */
  startTime?: Date;
  /**
   * 开始时间 下限值(大于等于)
   */
  startTimeFrom?: Date;
  /**
   * 开始时间 上限值(小于)
   */
  startTimeTo?: Date;
  /**
   * 结束时间
   */
  endTime?: Date;
  /**
   * 结束时间 下限值(大于等于)
   */
  endTimeFrom?: Date;
  /**
   * 结束时间 上限值(小于)
   */
  endTimeTo?: Date;
  /**
   * 状态(0.未开始 1.进行中 2.已结束 3.暂停)
   */
  state?: number;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   *  下限值(大于等于)
   */
  createTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  createTimeTo?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   *  下限值(大于等于)
   */
  updateTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  updateTimeTo?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface Task {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * 名称
   */
  name?: string;
  /**
   * 设备序列号
   */
  deviceSn?: string;
  /**
   * 任务参数
   */
  paramJson?: string;
  /**
   * 任务结果
   */
  resultJson?: string;
  /**
   * 开始时间
   */
  startTime?: Date;
  /**
   * 结束时间
   */
  endTime?: Date;
  /**
   * 状态(0.未开始 1.进行中 2.已结束 3.暂停)
   */
  state?: number;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type TaskPageResult = PageResult<Task>;

export type TaskPageResponse = ApiResponse<TaskPageResult>;

export type TaskResponse = ApiResponse<Task>;
