/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface TaskProgressParams extends BasePageParams {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * ID系统自动生成 IN值List
   */
  idList?: Array<number>;
  /**
   * dat_detect_task.id
   */
  taskId?: number;
  /**
   * 设备序列号
   */
  deviceSn?: string;
  /**
   * 参数配置
   */
  taskDataJson?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   *  下限值(大于等于)
   */
  createTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  createTimeTo?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   *  下限值(大于等于)
   */
  updateTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  updateTimeTo?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface TaskProgress {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * dat_detect_task.id
   */
  taskId?: number;
  /**
   * 设备序列号
   */
  deviceSn?: string;
  /**
   * 参数配置
   */
  taskDataJson?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   * update_time
   */
  updateTime?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type TaskProgressPageResult = PageResult<TaskProgress>;

export type TaskProgressPageResponse = ApiResponse<TaskProgressPageResult>;

export type TaskProgressResponse = ApiResponse<TaskProgress>;
