/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface UserAuthorityParams extends BasePageParams {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * ID系统自动生成 IN值List
   */
  idList?: Array<number>;
  /**
   * sys_user.id
   */
  userId?: number;
  /**
   * sys_authority.id
   */
  authorityId?: number;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface UserAuthority {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * sys_user.id
   */
  userId?: number;
  /**
   * sys_authority.id
   */
  authorityId?: number;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type UserAuthorityPageResult = PageResult<UserAuthority>;

export type UserAuthorityPageResponse = ApiResponse<UserAuthorityPageResult>;

export type UserAuthorityResponse = ApiResponse<UserAuthority>;
