import type { AppRouteModule } from '/@/router/types';

import { EMBEDDED_LAYOUT } from '/@/router/constant';

const system: AppRouteModule = {
  path: '/system',
  name: 'System',
  component: EMBEDDED_LAYOUT,
  meta: {
    title: '系统设置',
    orderNo: 100001,
    ignoreAuth: true,
  },
  children: [
    {
      path: 'constant',
      name: 'ConstantPage',
      component: () => import('/@/views/system/constant/index.vue'),
      meta: {
        title: '常量管理',
        ignoreAuth: true,
      },
    },
    {
      path: 'user',
      name: 'UserPage',
      component: () => import('/@/views/system/user/index.vue'),
      meta: {
        title: '用户管理',
        ignoreAuth: true,
      },
    },
    {
      path: 'log',
      name: 'LogPage',
      component: () => import('/@/views/system/log/index.vue'),
      meta: {
        title: '日志查看',
        ignoreAuth: true,
      },
    },

  ],
};

export default system;
